package com.ssj.bean.course.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/** 
 * @author  ZhangCaibao 
 * @version 2018年10月19日 上午9:56:40 
 * 类说明 
 */
@Entity
@Table(name="tb_course_series_details_feedback")
public class CourseSeriesDetailFeedback extends BaseEntity{

	/**
	 * 
	 */
	private static final long serialVersionUID = -7883204619208701198L;
	
	/**
	 *userId
	 */
	private String userId;
	/**
	 * 会员卡id
	 */
	private String vipId;
	/**
	 * 图书馆
	 */
	private String libId;
	/**
	 * 课程id
	 */
	private String courseDetailsId;
	/**
	 * 课程系列id
	 */
	private String courseSeriesId;
	/**
	 * 专注度
	 */
	private Double focusScore;
	
	/**
	 * 主动度
	 */
	private Double activeScore;
	
	/**
	 * 家长的满意度
	 */
	private Double pleasedScore;
	
	/**
	 * 老师有话说
	 */
	private String saying;
	
	/**
	 * 评价
	 */
	private String evaluate;
	
	/**
	 * 是否发送
	 */
	private Integer isSend;
	
	/**
	 * 
	 */
	private String libFeedbackId;

	/**
	   * 创建时间
	   */
	private Date createTime;
	
	/**
	 * 家长打开报告时间
	 */
	private Date viewTime;

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getVipId() {
		return vipId;
	}

	public void setVipId(String vipId) {
		this.vipId = vipId;
	}

	public String getLibId() {
		return libId;
	}

	public void setLibId(String libId) {
		this.libId = libId;
	}

	public String getCourseDetailsId() {
		return courseDetailsId;
	}

	public void setCourseDetailsId(String courseDetailsId) {
		this.courseDetailsId = courseDetailsId;
	}

	public String getCourseSeriesId() {
		return courseSeriesId;
	}

	public void setCourseSeriesId(String courseSeriesId) {
		this.courseSeriesId = courseSeriesId;
	}

	public Double getFocusScore() {
		return focusScore;
	}

	public void setFocusScore(Double focusScore) {
		this.focusScore = focusScore;
	}

	public Double getActiveScore() {
		return activeScore;
	}

	public void setActiveScore(Double activeScore) {
		this.activeScore = activeScore;
	}

	public Double getPleasedScore() {
		return pleasedScore;
	}

	public void setPleasedScore(Double pleasedScore) {
		this.pleasedScore = pleasedScore;
	}

	public String getSaying() {
		return saying;
	}

	public void setSaying(String saying) {
		this.saying = saying;
	}

	public String getEvaluate() {
		return evaluate;
	}

	public void setEvaluate(String evaluate) {
		this.evaluate = evaluate;
	}

	public Integer getIsSend() {
		return isSend;
	}

	public void setIsSend(Integer isSend) {
		this.isSend = isSend;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getLibFeedbackId() {
		return libFeedbackId;
	}

	public void setLibFeedbackId(String libFeedbackId) {
		this.libFeedbackId = libFeedbackId;
	}

	public Date getViewTime() {
		return viewTime;
	}

	public void setViewTime(Date viewTime) {
		this.viewTime = viewTime;
	}


	
	

}
